Name:		tmpl
Version:	1.0
Release:	1%{?dist}
Summary:	Example RHEL6 Driver Update Program package

Group:		System/Kernel
License:	GPLv2
URL:		http://www.kernel.org/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.files
Source2:	%{name}.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	%kernel_module_package_buildreqs

%kernel_module_package -f %{SOURCE1} default

%description
An example RHEL6 Driver Update package.

%prep
%setup
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	make -C %{kernel_source $flavor} M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
for flavor in %flavors_to_build ; do
	make -C %{kernel_source $flavor} modules_install \
		M=$PWD/obj/$flavor
	# Cleanup unnecessary kernel-generated module dependency files.
	find $INSTALL_MOD_PATH/lib/modules -iname 'modules.*' -exec rm {} \;
done

install -m 644 -D %{SOURCE2} $RPM_BUILD_ROOT/etc/depmod.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Aug 09 2010 Jon Masters <jcm@redhat.com>
- Updated example for ddiskit-v2.2.
